/**
 * backend.h
 *
 * part of eeetray
 * written by SvOlli
 * distributed under the terms of the GPL
 */

#ifndef __BACKEND_H__
#define __BACKEND_H__ __BACKEND_H__

extern void init_backend();
extern int test_ssh();
extern int test_bluetooth();
extern int test_wlan();
extern int test_webcam();
extern int test_cardreader();
extern int test_threeg();

extern int turn_ssh( int on );
extern int turn_bluetooth( int on );
extern int turn_wlan( int on );
extern int turn_webcam( int on );
extern int turn_cardreader( int on );
extern int turn_threeg( int on );

extern int run_reboot();
extern int run_poweroff();

#endif
