/**
 * main.cpp
 *
 * part of eeetray
 * written by SvOlli
 * distributed under the terms of the GPL
 */

#include <QtGui>

#include "window.hpp"

int main(int argc, char *argv[])
{
   QApplication app(argc, argv);

   if (!QSystemTrayIcon::isSystemTrayAvailable())
   {
      QMessageBox::critical(0, QObject::tr("Eeetray"),
                               QObject::tr("I couldn't detect any system tray "
                                           "on this system."));
      return 1;
   }
   QApplication::setQuitOnLastWindowClosed(false);

   Window window;
   window.hide();
   return app.exec();
}

