/**
 * thread.hpp
 *
 * part of eeetray
 * written by SvOlli
 * distributed under the terms of the GPL
 */

#ifndef THREAD_HPP
#define THREAD_HPP

#include <QThread>

class BackendThread : public QThread
{
public:
   enum eCommand { none, reboot, poweroff, wirelessoff, ssh, wlan, bluetooth, webcam, cardreader, threeg } mCommand;
   int mParameter;
   void run();
};

#endif
